package cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id.IdBuilder;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class AccountsBuilder {
    private final Harness harness;

    public AccountsBuilder(Harness harness) {
        this.harness = harness;
    }

    public IdBuilder id() {
        return new IdBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}